/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\Halloween Event\Halloween Items\Boss Rewards\SpookyLantern.cs
Lines of code: 34
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class SpookyLantern : Lantern
	{
	
		[Constructable]
		public SpookyLantern()
		{
			Hue = Utility.RandomList(1161, 2406);
			Name = "Spooky Lantern";
			Weight = 1.0;
		}

		public SpookyLantern( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			list.Add(1060658,"AOV Halloween \t{0}","2007");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}